{{- if .Values.serviceMonitor.enabled }}
---
{{ template "common.Service" (list . "cert-manager.Service") -}}
{{- end }}

{{- define "cert-manager.Service" -}}
metadata:
  labels:
    app.kubernetes.io/component: controller
spec:
  type: ClusterIP
  ports:
    - name: metrics
      protocol: TCP
      port: 9402
      targetPort: metrics
  selector:
    app.kubernetes.io/component: controller
{{- end }}
